Complete a workspace brand
curl --request PATCH \
--url https://myunite.ai/api/v1/brands/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userConfirmed": true,
"name": "<string>",
"colors": [
"<string>"
],
"taglines": [
"<string>"
],
"logoUploadId": "<string>",
"distinctiveAssets": [
{
"uploadId": "<string>",
"description": "<string>"
}
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userConfirmed: true,
name: '<string>',
colors: ['<string>'],
taglines: ['<string>'],
logoUploadId: '<string>',
distinctiveAssets: [{uploadId: '<string>', description: '<string>'}]
})
};
fetch('https://myunite.ai/api/v1/brands/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://myunite.ai/api/v1/brands/{id}"
payload = {
"userConfirmed": True,
"name": "<string>",
"colors": ["<string>"],
"taglines": ["<string>"],
"logoUploadId": "<string>",
"distinctiveAssets": [
{
"uploadId": "<string>",
"description": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"brand": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"colors": [
"<string>"
],
"taglines": [
"<string>"
],
"logo": {
"id": "<string>",
"fileUrl": "<string>",
"description": "<string>"
},
"distinctiveAssets": [
{
"id": "<string>",
"fileUrl": "<string>",
"description": "<string>"
}
]
},
"readiness": {
"colors": true,
"logo": true,
"taglines": true,
"distinctiveAssets": true
},
"enabledChecks": [
"<string>"
],
"newlyEnabledChecks": [
"<string>"
],
"conflicts": [
{
"field": "name",
"existingValue": "<string>",
"requestedValue": "<string>"
}
]
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}Brands
Complete a workspace brand
Adds missing data. Existing names, logos, colors, taglines and assets are preserved. Disagreements are returned in conflicts. Repeating the same additions is safe. Requires a current workspace editor or admin. Supply user, brand_book or web as the source. Prefer the official brand book. Web research requires userConfirmed set to true after confirmation. Logos and distinctive assets accept this workspace’s PNG, JPEG, GIF or WebP uploads up to 8 MB. Returns the saved brand, readiness and checks available for applicable pre-tests.
Requires the brands:write scope.
PATCH
/
brands
/
{id}
Complete a workspace brand
curl --request PATCH \
--url https://myunite.ai/api/v1/brands/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userConfirmed": true,
"name": "<string>",
"colors": [
"<string>"
],
"taglines": [
"<string>"
],
"logoUploadId": "<string>",
"distinctiveAssets": [
{
"uploadId": "<string>",
"description": "<string>"
}
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userConfirmed: true,
name: '<string>',
colors: ['<string>'],
taglines: ['<string>'],
logoUploadId: '<string>',
distinctiveAssets: [{uploadId: '<string>', description: '<string>'}]
})
};
fetch('https://myunite.ai/api/v1/brands/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://myunite.ai/api/v1/brands/{id}"
payload = {
"userConfirmed": True,
"name": "<string>",
"colors": ["<string>"],
"taglines": ["<string>"],
"logoUploadId": "<string>",
"distinctiveAssets": [
{
"uploadId": "<string>",
"description": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"brand": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"colors": [
"<string>"
],
"taglines": [
"<string>"
],
"logo": {
"id": "<string>",
"fileUrl": "<string>",
"description": "<string>"
},
"distinctiveAssets": [
{
"id": "<string>",
"fileUrl": "<string>",
"description": "<string>"
}
]
},
"readiness": {
"colors": true,
"logo": true,
"taglines": true,
"distinctiveAssets": true
},
"enabledChecks": [
"<string>"
],
"newlyEnabledChecks": [
"<string>"
],
"conflicts": [
{
"field": "name",
"existingValue": "<string>",
"requestedValue": "<string>"
}
]
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}Autorizações
Corpo
application/json
Esta página foi útil?